Last modified: 2011-01-25 01:15:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18059 - Review/Enable GlobalUsage extension to supplement/replace CheckUsage toolserver tool
Review/Enable GlobalUsage extension to supplement/replace CheckUsage toolserv...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Brion Vibber
http://www.mediawiki.org/wiki/Extensi...
: patch-need-review
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 19:23 UTC by Brion Vibber
Modified: 2011-01-25 01:15 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2009-03-19 19:23:35 UTC
Having good native support would help with various issues such as cleaning up image redirects (see fight on bug 15842 about this :)
Comment 1 Chad H. 2009-03-19 19:28:24 UTC
Support for foreign APIs would be hot.
Comment 2 Brion Vibber 2009-03-19 20:33:01 UTC
Tougher, though. We'd need to implement some sort of 'subscription' API that foreign sites could use to request updates -- that's a totally separate issue and should be broken out to its own bug.
Comment 3 Bryan Tong Minh 2009-03-19 23:24:03 UTC
From what I recall there is a certain brokenness in the population script. Don't remember exactly, but I don't think it will work out of box.
Comment 4 Mike.lifeguard 2009-03-20 18:48:44 UTC
Not ready for shell, AFAICT.
Comment 5 Ilmari Karonen 2009-09-09 19:55:38 UTC
The recent toolserver outages have really underscored how overdependent on the toolserver Commons has become: with the toolserver down, Commons admins are all but reduced to twiddling their thumbs.  This extension would help a lot.

Bryan: What's the current status of this extension?  Is it ready to deploy, and if not, what's missing?
Comment 6 Bryan Tong Minh 2009-09-09 20:05:04 UTC
Requires:
* Testing whether actually still works on the current trunk
* Code review
* Architecture review. I haven't looked in it recently, but I think there are some things that I would have done differently now.
* UI design

I will see if I can poke around a bit soon.
Comment 7 Bryan Tong Minh 2009-09-12 12:33:37 UTC
I think it is ready for review.
Comment 8 MZMcBride 2009-11-09 07:55:02 UTC
This has been enabled on WMF wikis. Still has some unresolved issues, though.
Comment 9 MZMcBride 2009-11-10 01:57:32 UTC
GlobalUsage has been disabled due to "major scaling issues."[1]

[1] http://wikitech.wikimedia.org/index.php?title=Server_admin_log&diff=23608&oldid=23607&diffonly=1
Comment 10 Ilmari Karonen 2010-04-16 20:38:46 UTC
GlobalUsage seems to be running more or less stably now.  I think this bug can be closed, right?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links